## libtqtinterface 3.5.13.2

=== debian/changelog ===
libtqtinterface (4:3.5.13.2-0ubuntu13.04.0+0) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:16:21 +0200

libtqtinterface (4:0.3.0) lucid; urgency=low

  * Initial release of the TQt Interface Library, supporting Qt3

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 12 Jul 2010 03:13:00 -0600
