## libtqtinterface 14.0.0-r315-0ubuntu12.04.1

=== debian/changelog ===
libtqtinterface (4:14.0.0-r315-0ubuntu12.04.1) precise; urgency=low

  * Repack

 -- falkTX <falktx@gmail.com>  Sat, 25 May 2013 01:06:11 +0100

libtqtinterface (4:14.0.0-r315-0ubuntu12.04.0+pr3) precise; urgency=low

  * Automated git build for 066ad6c7dd15b1dbd2f73593f20dac11fc45d33f

 -- root <kb9vqf@pearsoncomputing.net>  Fri, 24 May 2013 16:15:09 -0500
