=== debian/control ===
Source: libtqtinterface
Section: x11
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>> 4.0.0), libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
Standards-Version: 3.8.4

Package: libtqtinterface
Architecture: any
Section: libs
Replaces: libtqtinterface (<< 4:14.0.0)
Breaks: libtqtinterface (<< 4:14.0.0)
Depends: ${shlibs:Depends}
Description: The Trinity Qt Interface Libraries
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dev
Architecture: any
Section: libs
Replaces: libtqtinterface-dev (<< 4:14.0.0)
Breaks: libtqtinterface-dev (<< 4:14.0.0)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), tqt3-apps-dev
Description: The Trinity Qt Interface Libraries (Development Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-doc
Architecture: any
Section: libs
Replaces: libtqtinterface-doc (<< 4:14.0.0)
Breaks: libtqtinterface-doc (<< 4:14.0.0)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), tqt3-doc
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dbg
Architecture: any
Section: libs
Replaces: libtqtinterface-dbg (<< 4:14.0.0)
Breaks: libtqtinterface-dbg (<< 4:14.0.0)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), tqt-x11-free-dbg
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.
