=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,12 @@
 version=Debian Package $(DEB_VERSION)
 DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)
 
-DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/usr" -DCMAKE_LIBRARY_PATH="/usr/lib" -DCMAKE_INCLUDE_PATH="/usr/include" -DCMAKE_VERBOSE_MAKEFILE="ON" -DWITH_QT3="ON" -DQTDIR="/usr/share/qt3" -DQT_LIBRARY_DIRS="/usr/share/qt3/lib" -DBUILD_ALL="ON" -DUSE_QT3="ON" \
--DCMAKE_BUILD_TYPE=RelWithDebInfo
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DBUILD_ALL="ON" \
+ -DWITH_QT3="ON"
 
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
