=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
+Build-Depends: debhelper (>= 9~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
 Standards-Version: 3.8.4
 
 Package: libtqtinterface
