=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtqtinterface
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
 Standards-Version: 3.8.4
 
@@ -18,7 +18,7 @@
  although some code has been added for useful functions that are no longer part of Qt.
 
 Package: libtqtinterface-dev
-Architecture: any
+Architecture: all
 Section: libs
 Replaces: libtqtinterface-dev (<< 4:14.0.0~)
 Breaks: libtqtinterface-dev (<< 4:14.0.0~)
@@ -30,7 +30,7 @@
  although some code has been added for useful functions that are no longer part of Qt.
 
 Package: libtqtinterface-doc
-Architecture: any
+Architecture: all
 Section: libs
 Replaces: libtqtinterface-doc (<< 4:14.0.0~)
 Breaks: libtqtinterface-doc (<< 4:14.0.0~)
