=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,25 @@
 version=Debian Package $(DEB_VERSION)
 DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)
 
-DEB_CMAKE_EXTRA_FLAGS := \
- -DCMAKE_INSTALL_PREFIX="/usr" \
- -DCMAKE_VERBOSE_MAKEFILE="ON" \
- -DCMAKE_BUILD_TYPE=RelWithDebInfo \
- -DBUILD_ALL="ON" \
- -DWITH_QT3="ON"
-
+# The default gzip compressor has been changed in dpkg >= 1.17.0.
+deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
+                         sed -e "s|.*version ||" -e "s| .*||" | \
+                         xargs -r dpkg --compare-versions 1.17.0 lt \
+                         && echo xz || echo gzip)
+ifeq ($(deb_default_compress),gzip)
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
+endif
 
 # Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
 # never build in parallel, regardless of DEB_BUILD_OPTIONS.
 DEB_BUILD_PARALLEL ?= true
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DWITH_QT3="ON"
