## libtqtinterface 14.1.0

=== qtinterface/CMakeLists.txt ===
--- 
+++ 
@@ -11,23 +11,20 @@
 #
 #################################################
 
-if ( NOT HAVE_REAL_TQT )
-  set( IFACE "interface_qt3" )
-else ( NOT HAVE_REAL_TQT )
-  set( IFACE "interface_tqt3" )
-endif ( NOT HAVE_REAL_TQT )
+set( IFACE "interface_tqt3" )
 
 include_directories(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/private
-  ${QT_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/${IFACE}
   ${CMAKE_CURRENT_SOURCE_DIR}/${IFACE}/private
+  ${CMAKE_BINARY_DIR}
 )
 
 link_directories(
-  ${QT_LIBRARY_DIR}
+  ${TQT_LIBRARY_DIR}
 )
 
 
@@ -64,12 +61,12 @@
     ${IFACE}/tqconfig.h ${IFACE}/tqconnect.h ${IFACE}/tqdatetm.h ${IFACE}/tqdrawutl.h ${IFACE}/tqdstream.h ${IFACE}/tqfeatures.h
     ${IFACE}/tqfiledef.h ${IFACE}/tqfiledlg.h ${IFACE}/tqfileinf.h ${IFACE}/tqfontinf.h ${IFACE}/tqfontmet.h ${IFACE}/tqgbkcodec.h
     ${IFACE}/tqgeneric.h ${IFACE}/tqgif.h ${IFACE}/tqglobal.h ${IFACE}/tqgrpbox.h ${IFACE}/tqintcach.h ${IFACE}/tqiodev.h ${IFACE}/tqjpegio.h
-    ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqlist.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
+    ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
     ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h
-    ${IFACE}/tqpaintdc.h ${IFACE}/tqpaintd.h ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
+    ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
     ${IFACE}/tqprndlg.h ${IFACE}/tqprogbar.h ${IFACE}/tqprogdlg.h ${IFACE}/tqpushbt.h ${IFACE}/tqqueue.h ${IFACE}/tqradiobt.h ${IFACE}/tqrangect.h
-    ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqstack.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h ${IFACE}/tqvector.h
-    ${IFACE}/tqwidcoll.h ${IFACE}/tqwindefs.h ${IFACE}/tqwindowdefs.h ${IFACE}/tqwinexport.h ${IFACE}/tq1xcompatibility.h
+    ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h
+    ${IFACE}/tqwidcoll.h ${IFACE}/tqwindefs.h ${IFACE}/tqwindowdefs.h ${IFACE}/tqwinexport.h
     ${IFACE}/tqabstractlayout.h ${IFACE}/tqasciicache.h ${IFACE}/tqasciidict.h ${IFACE}/tqasyncimageio.h ${IFACE}/tqbig5codec.h
     ${IFACE}/tqbitarray.h ${IFACE}/tqbitmap.h ${IFACE}/tqbrush.h ${IFACE}/tqbuffer.h ${IFACE}/tqcache.h ${IFACE}/tqcleanuphandler.h
     ${IFACE}/tqcolor.h ${IFACE}/tqcompactstyle.h ${IFACE}/tqconnection.h ${IFACE}/tqcstring.h ${IFACE}/tqcursor.h ${IFACE}/tqdatastream.h
@@ -98,26 +95,14 @@
     ${IFACE}/private/tqlayoutengine_p.h ${IFACE}/private/tqinternal_p.h ${IFACE}/private/tqeffects_p.h
     ${IFACE}/private/tqrichtext_p.h ${IFACE}/private/tqpluginmanager_p.h ${IFACE}/private/tqcom_p.h
     ${IFACE}/private/tqucom_p.h ${IFACE}/private/tqwidgetinterface_p.h ${IFACE}/private/tqtextengine_p.h
-    ${IFACE}/tqlistiterator.h
   DESTINATION ${INCLUDE_INSTALL_DIR} )
-
-install(
-  DIRECTORY tqt4/Qt
-  DESTINATION ${INCLUDE_INSTALL_DIR}
-  PATTERN ".svn" EXCLUDE )
-
 
 ##### tqt tools #################################
 
 configure_file( ${IFACE}/tmoc.cmake tmoc @ONLY )
 configure_file( uic-tqt.cmake uic-tqt @ONLY )
-if ( NOT HAVE_REAL_TQT )
-  configure_file( tqt-replace.cmake tqt-replace @ONLY )
-  configure_file( tqt-replace-stream.cmake tqt-replace-stream @ONLY )
-else ()
-  configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
-  configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
-endif ()
+configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
+configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
 
 install( PROGRAMS
     moc-tqt ${CMAKE_CURRENT_BINARY_DIR}/uic-tqt 
@@ -135,9 +120,9 @@
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
 
-unset( PC_QT_LIBRARIES )
-foreach( _lib ${QT_LIBRARIES} )
-  set( PC_QT_LIBRARIES "${PC_QT_LIBRARIES} -l${_lib}" )
+unset( PC_TQT_LIBRARIES )
+foreach( _lib ${TQT_LIBRARIES} )
+  set( PC_TQT_LIBRARIES "${PC_TQT_LIBRARIES} -l${_lib}" )
 endforeach( )
 
 configure_file( tqt.pc.cmake tqt.pc @ONLY )
@@ -164,3 +149,8 @@
     ${IFACE}/tqhgroupbox.cpp ${IFACE}/tqhttp.cpp ${IFACE}/tqiconview.cpp ${IFACE}/tqimageformatplugin.cpp
     ${IFACE}/tqinputdialog.cpp ${IFACE}/tqlabel.cpp ${IFACE}/tqlayout.cpp ${IFACE}/tqlcdnumber.cpp ${IFACE}/tqlineedit.cpp
     ${IFACE}/tqlistbox.cpp ${IFACE}/tqlistview.cpp ${IFACE}/tqlocalfs.cpp ${IFACE}/tqmainwindow.cpp ${IFACE}/tqmenubar.cpp
+    ${IFACE}/tqmessagebox.cpp ${IFACE}/tqmotifplusstyle.cpp ${IFACE}/tqmotifstyle.cpp ${IFACE}/tqmultilineedit.cpp
+    ${IFACE}/tqnetworkprotocol.cpp ${IFACE}/tqnp.cpp ${IFACE}/tqobjectcleanuphandler.cpp ${IFACE}/tqobject.cpp
+    ${IFACE}/tqplatinumstyle.cpp ${IFACE}/tqpopupmenu.cpp ${IFACE}/tqprintdialog.cpp ${IFACE}/tqprocess.cpp
+    ${IFACE}/tqprogressbar.cpp ${IFACE}/tqprogressdialog.cpp ${IFACE}/tqpushbutton.cpp ${IFACE}/tqradiobutton.cpp
+    ${IFACE}/tqrangecontrol.cpp ${IFACE}/tqscrollbar.cpp ${IFACE}/tqscrollview.cpp ${IFACE}/tqsemimodal.cpp
