=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-apps-dev
 Standards-Version: 3.8.4
 
 Package: libtqtinterface
 Architecture: any
+Multi-Arch: same
 Section: libs
 Replaces: libtqtinterface (<< 4:14.0.0~)
 Breaks: libtqtinterface (<< 4:14.0.0~)
@@ -19,6 +20,7 @@
 
 Package: libtqtinterface-dev
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Replaces: libtqtinterface-dev (<< 4:14.0.0~)
 Breaks: libtqtinterface-dev (<< 4:14.0.0~)
@@ -31,6 +33,7 @@
 
 Package: libtqtinterface-doc
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Replaces: libtqtinterface-doc (<< 4:14.0.0~)
 Breaks: libtqtinterface-doc (<< 4:14.0.0~)
@@ -43,6 +46,7 @@
 
 Package: libtqtinterface-dbg
 Architecture: any
+Multi-Arch: same
 Section: libs
 Replaces: libtqtinterface-dbg (<< 4:14.0.0~)
 Breaks: libtqtinterface-dbg (<< 4:14.0.0~)
