## libtqtinterface 14.1.1

=== debian/changelog ===
libtqtinterface (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Oct 2023 10:03:15 +0200
