## libtqtinterface 14.1.2

=== qtinterface/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,10 @@
   ${TQT_LIBRARY_DIR}
 )
 
+if ( INPUTMETHOD_ENABLED )
+    set( INPUTMETHOD_HEADERS ${IFACE}/tqinputcontext.h ${IFACE}/tqinputcontextfactory.h ${IFACE}/tqinputcontextplugin.h )
+    set( INPUTMETHOD_SOURCES ${IFACE}/tqinputcontext.cpp ${IFACE}/tqinputcontextfactory.cpp ${IFACE}/tqinputcontextplugin.cpp )
+endif()
 
 ##### headers ###################################
 
@@ -62,7 +66,7 @@
     ${IFACE}/tqfiledef.h ${IFACE}/tqfiledlg.h ${IFACE}/tqfileinf.h ${IFACE}/tqfontinf.h ${IFACE}/tqfontmet.h ${IFACE}/tqgbkcodec.h
     ${IFACE}/tqgeneric.h ${IFACE}/tqgif.h ${IFACE}/tqglobal.h ${IFACE}/tqgrpbox.h ${IFACE}/tqintcach.h ${IFACE}/tqiodev.h ${IFACE}/tqjpegio.h
     ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
-    ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h
+    ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h ${IFACE}/tqobjectdefs.h
     ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
     ${IFACE}/tqprndlg.h ${IFACE}/tqprogbar.h ${IFACE}/tqprogdlg.h ${IFACE}/tqpushbt.h ${IFACE}/tqqueue.h ${IFACE}/tqradiobt.h ${IFACE}/tqrangect.h
     ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h
@@ -95,6 +99,7 @@
     ${IFACE}/private/tqlayoutengine_p.h ${IFACE}/private/tqinternal_p.h ${IFACE}/private/tqeffects_p.h
     ${IFACE}/private/tqrichtext_p.h ${IFACE}/private/tqpluginmanager_p.h ${IFACE}/private/tqcom_p.h
     ${IFACE}/private/tqucom_p.h ${IFACE}/private/tqwidgetinterface_p.h ${IFACE}/private/tqtextengine_p.h
+    ${INPUTMETHOD_HEADERS}
   DESTINATION ${INCLUDE_INSTALL_DIR} )
 
 ##### tqt tools #################################
@@ -102,7 +107,6 @@
 configure_file( ${IFACE}/tmoc.cmake tmoc @ONLY )
 configure_file( uic-tqt.cmake uic-tqt @ONLY )
 configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
-configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
 
 install( PROGRAMS
     moc-tqt ${CMAKE_CURRENT_BINARY_DIR}/uic-tqt 
@@ -110,7 +114,6 @@
     dcopidl2cpp-tqt convert_qt_tqt1 convert_qt_tqt2
     convert_qt_tqt3 ${CMAKE_CURRENT_BINARY_DIR}/tmoc
     ${CMAKE_CURRENT_BINARY_DIR}/tqt-replace
-    ${CMAKE_CURRENT_BINARY_DIR}/tqt-replace-stream
   DESTINATION ${BIN_INSTALL_DIR} )
 
 
@@ -152,5 +155,3 @@
     ${IFACE}/tqmessagebox.cpp ${IFACE}/tqmotifplusstyle.cpp ${IFACE}/tqmotifstyle.cpp ${IFACE}/tqmultilineedit.cpp
     ${IFACE}/tqnetworkprotocol.cpp ${IFACE}/tqnp.cpp ${IFACE}/tqobjectcleanuphandler.cpp ${IFACE}/tqobject.cpp
     ${IFACE}/tqplatinumstyle.cpp ${IFACE}/tqpopupmenu.cpp ${IFACE}/tqprintdialog.cpp ${IFACE}/tqprocess.cpp
-    ${IFACE}/tqprogressbar.cpp ${IFACE}/tqprogressdialog.cpp ${IFACE}/tqpushbutton.cpp ${IFACE}/tqradiobutton.cpp
-    ${IFACE}/tqrangecontrol.cpp ${IFACE}/tqscrollbar.cpp ${IFACE}/tqscrollview.cpp ${IFACE}/tqsemimodal.cpp
