=== qtinterface/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
 
 if ( INPUTMETHOD_ENABLED )
     set( INPUTMETHOD_HEADERS ${IFACE}/tqinputcontext.h ${IFACE}/tqinputcontextfactory.h ${IFACE}/tqinputcontextplugin.h )
-    set( INPUTMETHOD_SOURCES ${IFACE}/tqinputcontext.cpp ${IFACE}/tqinputcontextfactory.cpp ${IFACE}/tqinputcontextplugin.cpp )
 endif()
 
 ##### headers ###################################
@@ -139,19 +138,8 @@
 
 
 tde_add_library( tqt SHARED
-  SOURCES
-    ${IFACE}/tqt.cpp ${IFACE}/tqaccel.cpp ${IFACE}/tqaccessible.cpp ${IFACE}/tqaction.cpp ${IFACE}/tqapplication.cpp
-    ${IFACE}/tqasyncio.cpp ${IFACE}/tqbuttongroup.cpp ${IFACE}/tqbutton.cpp ${IFACE}/tqcanvas.cpp ${IFACE}/tqcdestyle.cpp
-    ${IFACE}/tqcheckbox.cpp ${IFACE}/tqclipboard.cpp ${IFACE}/tqcolordialog.cpp ${IFACE}/tqcombobox.cpp
-    ${IFACE}/tqcommonstyle.cpp ${IFACE}/tqdatabrowser.cpp ${IFACE}/tqdatatable.cpp ${IFACE}/tqdataview.cpp
-    ${IFACE}/tqdatetimeedit.cpp ${IFACE}/tqdesktopwidget.cpp ${IFACE}/tqdial.cpp ${IFACE}/tqdialog.cpp ${IFACE}/tqdns.cpp
-    ${IFACE}/tqdockarea.cpp ${IFACE}/tqdockwindow.cpp ${IFACE}/tqdragobject.cpp ${IFACE}/tqerrormessage.cpp
-    ${IFACE}/tqeventloop.cpp ${IFACE}/tqframe.cpp ${IFACE}/tqftp.cpp ${IFACE}/tqfiledialog.cpp ${IFACE}/tqfontdialog.cpp
-    ${IFACE}/tqgl.cpp ${IFACE}/tqgplugin.cpp ${IFACE}/tqgrid.cpp ${IFACE}/tqgridview.cpp ${IFACE}/tqgroupbox.cpp
-    ${IFACE}/tqguardedptr.cpp ${IFACE}/tqhbox.cpp ${IFACE}/tqhbuttongroup.cpp ${IFACE}/tqheader.cpp
-    ${IFACE}/tqhgroupbox.cpp ${IFACE}/tqhttp.cpp ${IFACE}/tqiconview.cpp ${IFACE}/tqimageformatplugin.cpp
-    ${IFACE}/tqinputdialog.cpp ${IFACE}/tqlabel.cpp ${IFACE}/tqlayout.cpp ${IFACE}/tqlcdnumber.cpp ${IFACE}/tqlineedit.cpp
-    ${IFACE}/tqlistbox.cpp ${IFACE}/tqlistview.cpp ${IFACE}/tqlocalfs.cpp ${IFACE}/tqmainwindow.cpp ${IFACE}/tqmenubar.cpp
-    ${IFACE}/tqmessagebox.cpp ${IFACE}/tqmotifplusstyle.cpp ${IFACE}/tqmotifstyle.cpp ${IFACE}/tqmultilineedit.cpp
-    ${IFACE}/tqnetworkprotocol.cpp ${IFACE}/tqnp.cpp ${IFACE}/tqobjectcleanuphandler.cpp ${IFACE}/tqobject.cpp
-    ${IFACE}/tqplatinumstyle.cpp ${IFACE}/tqpopupmenu.cpp ${IFACE}/tqprintdialog.cpp ${IFACE}/tqprocess.cpp
+  SOURCES ${IFACE}/tqapplication.cpp
+  VERSION 4.2.0
+  LINK ${TQT_LIBRARIES}
+  DESTINATION ${LIB_INSTALL_DIR}
+)
