## libtqtinterface 14.1.6~pre0

=== debian/changelog ===
libtqtinterface (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1e47a12126905f620ab309d0b9ab887a7cefad8a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
