## libtqtinterface 14.1.6~pre1

=== debian/changelog ===
libtqtinterface (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b5476dea6b45602622032d9087264ffe448e3e01
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Dec 2025 05:01:41 +0100
